# Qoala paper evaluation scripts

Scripts for reproducing the evaluation results in Section VI of the paper.


## Installation
Note: this code only works with python 3.8, 3.9 or 3.10.

Install the required packages (including the Qoala Simulator) with
```
pip install --extra-index-url=https://pypi.netsquid.org -r requirements.txt
```

Since the simulator uses NetSquid, make sure you have a [NetSquid account](https://netsquid.org) such that it can be installed.
The above command will prompt for your account username and password.

## Running the scripts

Each folder in this repository corresponds to one of the types of evaluation discussed in section VI.
The folder names start with the letter of the corresponding subsection in the paper.
Each folder contains the data used for the results presented in the paper, as well as the code for reproducing these results.
There is a `README` inside each folder explaining how to run the individual scripts.
